# Issues

* [ ] Frontend to add, edit and delete events
* [ ] Backend to add, edit and delete events
* [ ] api testcases for events
* [ ] Frontend to add, edit and delete users
* [ ] Backend to add, edit and delete users
* [ ] api testcases for users
* [ ] check permissions in all api endpoints
* [ ] tickets
    * [ ] Frontend to add, edit and delete tickets
    * [ ] Backend to add, edit and delete tickets
    * [ ] api testcases for tickets
    * [ ] Frontend: change ticket status
    * [ ] Backend: change ticket status
    * [ ] api testcases for ticket status
    * [ ] Frontend: assign tickets to users
    * [ ] Backend: assign tickets to users
    * [ ] api testcases for ticket assignment
    * [ ] Frontend: ticket search
    * [ ] Backend: ticket search
    * [ ] api testcases for ticket search
    * [ ] Frontend: ticket comments
    * [ ] Backend: ticket comments
    * [ ] api testcases for ticket comments
    * [ ] Frontend: send replay mails
    * [ ] Backend: send replay mails
    * [ ] api testcases for replay mails
    * [ ] Frontend: manage auto mail triggers
    * [ ] Backend: manage auto mail triggers
    * [ ] api testcases for auto mail triggers
    * [ ] Frontend: manage mail templates
    * [ ] Backend: manage mail templates
    * [ ] api testcases for mail templates
    * [ ] Backend: send notification mails to users
    * [ ] testcases for notification mails
    * [ ] Frontend: notification settings
    * [ ] Backend: notification settings
    * [ ] api testcases for notification settings
    * [ ] Backend: Telegram bot
    * [ ] Backend: route mail to tickets bases on +tag
    * [ ] testcases for mail to tickets
* [ ] Frontend: login, logout, register
* [ ] Backend: login, logout, register
* [ ] api testcases for login, logout, register
* [ ] Frontend: item search
* [ ] Backend: item search
* [ ] api testcases for item search
* [ ] Frontend: to math items to tickets
* [ ] Backend: to math items to tickets
* [ ] api testcases for item to tickets
* [ ] Frontend: to show item history
* [ ] Backend: to show item history
* [ ] api testcases for item history
* [ ] Frontend: to delegate permissions via qr code
* [ ] testcases for qr code
* [ ] Frontend to add, edit and delete boxes
* [ ] Backend to add, edit and delete boxes
* [ ] api testcases for boxes
* [ ] Frontend: to show box history
* [ ] Backend: to show box history
* [ ] api testcases for box history
* [ ] Frontend: clear, disband and move boxes
* [ ] Backend: clear, disband and move boxes
* [ ] api testcases for clear, disband and move boxes
* [ ] testcases for receiving mails and auto reply
* [ ] Frontend: merging tickets
* [ ] Backend: merging tickets
* [ ] api testcases for merging tickets
* [ ] concept: create items from "found something" tickets
* [ ] concept: purge old tickets
* [ ] concept: purge old items
* [ ] concept: auto email stale after x days

## Priority: TODO

* send mails from web frontend
* login / user management
